Package org.apache.wiki.api.spi

## Interface EngineSPI

    public interface EngineSPI

SPI used to locate and provide `Engine` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`Engine` `find​(javax.servlet.ServletContext context, java.util.Properties props)` Locate, or build if necessary, a configured `Engine` instance.

### Method Detail

#### find

    Engine find​(javax.servlet.ServletContext context,
                java.util.Properties props)

Locate, or build if necessary, a configured `Engine` instance.

Parameters:
  `context` - servlet context holding the `Engine` instance.
  `props` - Engine configuration properties.
Returns:
  a configured `Engine` instance.